events.listen('recipes', function(e) {

function kjsShaped(result, pattern, ingredients, count) {
        e.shaped(item.of(result, count != null ? count : 1), pattern, ingredients)
    }

    function kjsShapeless(result, ingredients, count) {
        e.shapeless(item.of(result, count != null ? count : 1), ingredients)
    }
 
    e.shaped(item.of('enviromats:alabaster_magenta', 8), [
        'AAA',
        'AMA',
        'AAA'
    ], {
        A: '#forge:alabaster',
        M: '#forge:dyes/magenta'
    })
	    kjsShaped('minecraft:chest', [
        'PPP',
        'P P',
        'PPP'
    ], {
        P: '#minecraft:planks'
    })
})